#include<stdio.h>
#include<limits.h>


int  main(){
	int broj, s, d, j, novibroj;
	int max = INT_MIN;

	scanf("%d", &broj);
	
	if(broj < 0){
		printf("-1\n");
		return;
		}
	if(broj <= 99 || broj >= 1000){
			printf("-1\n");
			return;
			}

	j = broj % 10;
	d = (broj/10)%10;
	s = broj / 100;
	
	if(j > max)
		max = j;
	if(d > max)
		max = d;
	if(s > max)
		max = s;
	int min1, min2;
	if(max == j){
		if(s < d){
			min1 = s;
			min2 = d;
			}
		else{
			min1 = d;
			min2 = s;
		}
		}
	if(max == d){
		if(s < j){
			min1 = s;
			min2 = j;
			}
		else{
			min1 = j;
			min2 = s;
			}
		}
	if(max == s){
		if(d < j){
			min1 = d;
			min2 = j;
			}
		else{
			min1 = j;
			min2 = d;
			}
		}
	novibroj = min1*100 + min2*10 + max;

	printf("%d\n", novibroj);
	return 0;
}
